Doomsday Engine - Bug #189

Multiplayer Game-Pausing Bug.
2004-08-30 12:49 - carlos_ed

Status: Closed Start date: 2004-08-30
Priority: Normal % Done: 100%
Assignee: skyjake

Category:

Target version: 1.8.6

Description

This bug can be reproduced like this:

- Start a game server.
- Client joins game.
— Server pauses the game.
— Client disconnects while game is paused.
— Client reconnects while game is still paused.

The client can move freely (... can't attack or interact
with world.) while the world is frozen in a complete dead
stop. No "Pause" warning on uper side of the screen is
shown when this happens.

Labels: Multiplayer

History

#1 - 2005-12-18 17:34 - carlos_ed

Logged In: YES
user_id=773520

This is great. Freakin' bug still isn't fixed, more than a
yer has passed...

Is it so dificult to add a simple boolean flag stating the
game state (Paused/Unpaused) uppon handshaking with
clients? Probably not the best way... but it would fix

this crappy bug. - i/

#2 - 2006-06-01 19:15 - yagisan

Logged In: YES
user_id=1248824

Can you reproduce this with 1.9.0beta4 ?

#3 - 2006-06-02 01:31 - carlos_ed

Logged In: YES
user_id=773520

| am not sure. But i think i tested it with beta 3 and it

was still there. | haven't tested it yet, because none of my
buddies is too fond of Doomsday anymore. Not since the focus
of the bug-fixing started to sway off these gameplay bugs
anyway. And there are several other serious bugs that affect
even single player. The thing is, | could be opening a whole
world of new "bug-entries" here. Would that make any
diference? Would that point out the severe necessity of
focusing away from the portability/cosmetic fixes to start
doing something with the gameplay that currently is somehow
"sketchy" and bug-ridden? It if does, i'll gladly start

preaching some people to help do some testing to point out
all the bugs we have.

For example...

- The colision system is REALLY screwed up. Fall on a

2025-04-02

1/3




torch and you get stuck on it. Cacodemons get stuck to each
other in mid-air, etc... i/

- The pre-caching of resources doesn't seem to do what it's
supposed to. | can't believe 256Mb VRAM and 1Gb of RAM isn't
enough to pre-cache all of the resources of the game. When
using the 3D models from jDRP 1.01 (or 1.1... well, the

latest version available now.), this turns from 1-2s hitches

to full 30s to 40s halts. Like you open the door, the

video freezes on that frame, you hear hell kicking your but,
you hear yourself dying from it, the next frame you see is a

red screen and, when that fades, your face on the ground.
Next you quit the game, cursing and yealing your face of to
the screen. And a warning of virtual memory too low, awaits
you on your desktop. Uppon reading that you wonder... "where
the hell did my 4Gb fixed swap file space go?" More than 5Gb
of memory consumed to play Doom? Is this right? | don't

think so. Ok, a reasonable 256 or even 512Mb | would take

it. But 5Gb... come on, this is not going the right way.
REALLY! sigh... :(

| better stop here, or else im going to have to open new
bug-threads. Untill | get word from the developers that

they'll start to pay more attention to gameplay issues I'm

not putting here entries to be growing years old. Check the
open date on this bug!... I'll give a try one of these days

with another machine i have on my house LAN. This, because |
honestly want to like doomsday!

#4 - 2006-06-02 14:49 - yagisan

Logged In: YES
user_id=1248824

OK. A several points.

1) 1 bug per report thanks.

2) Confirm the bug you are reporting exists in the current
version before reporting it.

3) 1.9.0beta4 works fine a pentium 2 233Mhz with 256MB of
RAM, with minimal swapping with models, high-res textures,
and additional particle effects.

4) Add -v to your startup options to see the precaching
working. Your OS may discard the precached data however.
5) turning on texture compression (-texcomp on the command
line) minimises lag caused by loading new textures (even if
precached)

6) Why do you think I'm going though the bug reports ? It's
not to waste my time, | assure you. Try not to flame people
with limited time to work on problems.

7) Patches are always welcome

#5 - 2006-06-05 14:23 - carlos_ed

Logged In: YES
user_id=773520

Ok, | went and tried the current 1.9.0 beta 4 release. |
couldn't confirm if the pause bug still exists, because the
client always crashed right after handshaking. It gave the
error "cl_frame2recieved: Unknown delta type 67". | couldn't
try a multiplayer game because that error sistematically
occured on the client. Always right after handshaking.

About that precaching issue, thanks for the verbose mode

tip. It allowed me to see that, in fact, the resources are

being precached. But are not so correctly. Some of them are
not being pre-cached. Like, for example some flats' textures

and monster projectiles. | don't know if it is by design, or

some overlooking in the coding. But the huge RAM consumption
has every simptoms of a memory leak. | could observe the
amount of memory "Doomsday.exe" occupied growing without
stop in taskmanager. Oddly enough, this only happens when |
use Direct3D. In OpenGL the game behaves exactly as expected
to be normal. I'd be gratefull if this issue got fixed, or

the OpenGL mode to get some updates. | changed to Direct3D
in the first place because some texture effects on OpenGL
were always wrong in my computer. Ever since the first model
pack. And | have changed my computer from an Athlon XP with
a Radeon 9600 to an Athlon64 (running @ 32bit) with an
Radeon x700Pro. So, | really don't think it's a driver/video

card issue as someone back when | had the 9600Pro pointed
out as my current computer has nothing in common with my
previous one, and those problems still happen in OpenGL.
They are small enough though and don't affect gameplay one
bit, so | am not the least bit concearned by them.

Last but not least, after re-reading my previous comment, |
grant | went overboard. | feel like | owe an apology.
Although | just had a bad day, innocent bystanders shouldn't
take the heat for that. Can we start over again.. this time

the right way? - :)

#6 - 2007-09-28 21:25 - terracon

Logged In: YES
user_id=1901310
Originator: NO

This bug is still there. Tested on linux dedicated server 1.9 beta-5.2
